package com.kingdee.shr.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.shr.compensation.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class RetMoneyFacade extends AbstractBizCtrl implements IRetMoneyFacade
{
    public RetMoneyFacade()
    {
        super();
        registerInterface(IRetMoneyFacade.class, this);
    }
    public RetMoneyFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IRetMoneyFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E9D4CD3B");
    }
    private RetMoneyFacadeController getController() throws BOSException
    {
        return (RetMoneyFacadeController)getBizController();
    }
    /**
     *推送报文-User defined method
     */
    public void retMoney() throws BOSException, EASBizException
    {
        try {
            getController().retMoney(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步预入薪酬设计-User defined method
     */
    public void synSalaryData() throws BOSException, EASBizException
    {
        try {
            getController().synSalaryData(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步任职信息-User defined method
     */
    public void synmpPosOrgRelatio() throws BOSException, EASBizException
    {
        try {
            getController().synmpPosOrgRelatio(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}